#!/bin/sh
# Namserver-Clients MTFirewall
#
#    Copyright (c) 2004, Manfred Tremmel
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#
# Author: Manfred Tremmel <Manfred.Tremmel@iiv.de>
#

DEVICE=$1
SENDER=$2
RECEIVER=$3
NET=$4

# UDP Port 67 Anfragen auf Port 68
#/usr/sbin/mtfirewall/someports_iptables_client.sh $DEVICE $SENDER 0.0.0.0 $NET "67" "68" "udp"
#/usr/sbin/mtfirewall/someports_iptables_client.sh $DEVICE $SENDER 0.0.0.0 $NET "68" "67" "udp"
${IPTABLES} -A INPUT --protocol udp --source $SENDER --source-port 68 --destination-port 67 --in-interface $DEVICE -j ACCEPT
${IPTABLES} -A INPUT --protocol udp --source $SENDER --source-port 67 --destination-port 68 --in-interface $DEVICE -j ACCEPT
${IPTABLES} -A OUTPUT --protocol udp --source $RECEIVER --source-port 68 --destination $SENDER --destination-port 67 --out-interface $DEVICE -j ACCEPT
${IPTABLES} -A OUTPUT --protocol udp --source $RECEIVER --source-port 67 --destination $SENDER --destination-port 68 --out-interface $DEVICE -j ACCEPT

# dhcpv6-client Anfragen (TCP)
/usr/sbin/mtfirewall/someports_iptables_client.sh $DEVICE $SENDER $RECEIVER $NET "dhcpv6-client" "1024:" "tcp"

# dhcpv6-client Anfragen (UDP)
/usr/sbin/mtfirewall/someports_iptables_client.sh $DEVICE $SENDER $RECEIVER $NET "dhcpv6-client" "1024:" "udp"
