#!/bin/sh
# someports Clients MTFirewall
#
#    Copyright (c) 2002, Manfred Tremmel
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#
# Author: Manfred Tremmel <Manfred.Tremmel@iiv.de>
#

DEVICE=$1
SENDER=$2
RECEIVER=$3
NET=$4
PORT=$5
SENDERPORT=$6
PROTOKOLL=$7

# Zugriff vom Client und Antworten darauf erlauben
if test $PROTOKOLL = 'udp'; then
	${IPTABLES}	-A INPUT		--protocol $PROTOKOLL	--source $SENDER		--source-port $SENDERPORT	--destination $RECEIVER		--destination-port $PORT			--in-interface $DEVICE		-m state	--state NEW,ESTABLISHED,RELATED	-j ACCEPT
	${IPTABLES}	-A OUTPUT	--protocol $PROTOKOLL	--source $RECEIVER	--source-port $PORT			--destination $SENDER		--destination-port $SENDERPORT	--out-interface $DEVICE		-m state	--state NEW,ESTABLISHED,RELATED	-j ACCEPT
else
	${IPTABLES}	-A INPUT		--protocol $PROTOKOLL	--source $SENDER		--source-port $SENDERPORT	--destination $RECEIVER		--destination-port $PORT			--in-interface $DEVICE		-m state	--state NEW,ESTABLISHED,RELATED	-j ACCEPT
	${IPTABLES}	-A OUTPUT	--protocol $PROTOKOLL	--source $RECEIVER	--source-port $PORT			--destination $SENDER		--destination-port $SENDERPORT	--out-interface $DEVICE		-m state	--state ESTABLISHED,RELATED		-j ACCEPT
fi
